/** @file  pmNonLinear.h
 *
 *  Provides polynomial or table lookup non-linearity corrections to readouts.
 *
 *  @author GLG, MHPCC
 *
 *  @version $Revision: 1.7 $ $Name: rel7 $
 *  @date $Date: 2005/08/16 01:10:34 $
 *
 *  Copyright 2004 Maui High Performance Computing Center, University of Hawaii
 *
 */

#if !defined(PM_NON_LINEAR_H)
#define PM_NON_LINEAR_H

#include "pslib.h"
#include "pmAstrometry.h"

pmReadout *pmNonLinearityPolynomial(pmReadout *in,
                                    const psPolynomial1D *coeff);

pmReadout *pmNonLinearityLookup(pmReadout *in,
                                const psVector *inFlux,
                                const psVector *outFlux);

#endif
